Logo Site EngageLab Mark Colored Transparent
Document

Update Contact

Developers can update contact information through the API.

Request Method

PATCH

Request URL

https://livedesk-api.engagelab.com/api/v2/accounts/contacts/:id

Authentication

For details, see the authentication method described in API Overview.

Request

Request Example

curl -X PATCH https://livedesk-api.engagelab.com/api/v2/accounts/contacts/:id \ -H 'Content-Type: application/json' \ -H 'Authorization: Basic base64(api_key:api_secret)' \ -d '{ "additional_attributes": { "description": "", "company_name": "", "city": "", "telegram": "", "country": "", "country_code": "", "social_profiles": { "facebook": "", "github": "", "instagram": "", "linkedin": "", "twitter": "" } }, "availability_status": "offline", "email": "support@jiguang.cn", "name": "support", "phone_number": null, "blocked": false, "identifier": "2222", "thumbnail": "", "last_activity_at": 1765441908, "custom_attributes": { // Optional: merge and update custom fields (incremental merge) "vip_level": "platinum" }, "created_at": 1765441895, "first_name": "support", "last_name": "" }'
              
              curl -X PATCH https://livedesk-api.engagelab.com/api/v2/accounts/contacts/:id \
-H 'Content-Type: application/json' \
-H 'Authorization: Basic base64(api_key:api_secret)' \
-d '{
    "additional_attributes": {
        "description": "",
        "company_name": "",
        "city": "",
        "telegram": "",
        "country": "",
        "country_code": "",
        "social_profiles": {
            "facebook": "",
            "github": "",
            "instagram": "",
            "linkedin": "",
            "twitter": ""
        }
    },
    "availability_status": "offline",
    "email": "support@jiguang.cn",
    "name": "support",
    "phone_number": null,
    "blocked": false,
    "identifier": "2222",
    "thumbnail": "",
    "last_activity_at": 1765441908,
    "custom_attributes": {
        // Optional: merge and update custom fields (incremental merge)
        "vip_level": "platinum"
    },
    "created_at": 1765441895,
    "first_name": "support",
    "last_name": ""
}'

            
This code block in the floating window

Request Headers

Field Type Description
Authorization string Use Authorization: Basic base64(API Key:API Secret) for authentication. Go to the API Keys page to obtain the API Key and API Secret, join them with a colon, and encode them using Base64.
Content-Type application/json Data type. Use application/json for regular text messages.

Path Parameters

Field Type Required Description
account integer Yes LiveDesk project ID.
id integer Yes Contact ID.

Request Body Parameters

Field Type Required Description
additional_attributes Object No Additional attributes.
description Object No Description.
company_name String No Company name.
city String No City.
telegram String No Telegram contact information.
country String No Country.
country_code String No Country code.
social_profiles String No Social media contact information.
availability_status String No Availability status. The default is offline.
email String No Email address.
name String No Name.
phone_number String No Phone number.
blocked Boolean No Whether the contact is blocked. The default is false.
identifier String No The contact's unique external identifier, corresponding to the UserID displayed in the interface.
thumbnail String No Contact avatar URL.
last_activity_at String No Latest update timestamp.
created_at String No Creation timestamp.
first_name String No Contact's first name.
last_name String No Contact's surname.
custom_attributes Object No Custom fields.

Response Example

{ "payload": { "additional_attributes": { "description": "", "company_name": "", "city": "", "telegram": "", "country": "", "country_code": "", "social_profiles": { "facebook": "", "github": "", "instagram": "", "linkedin": "", "twitter": "" } }, "availability_status": "offline", "email": "support@jiguang.cn", "id": 318763, "name": "support", "phone_number": null, "blocked": false, "identifier": "2222", "thumbnail": "", "custom_attributes": {}, "last_activity_at": 1765441908, "created_at": 1765441895, "contact_inboxes": [ { "source_id": "src_001", "inbox": { "id": 10, "name": "Customer Service Channel", "channel_type": "Channel::Api" } } ] } }
              
              {
    "payload": {
        "additional_attributes": {
            "description": "",
            "company_name": "",
            "city": "",
            "telegram": "",
            "country": "",
            "country_code": "",
            "social_profiles": {
                "facebook": "",
                "github": "",
                "instagram": "",
                "linkedin": "",
                "twitter": ""
            }
        },
        "availability_status": "offline",
        "email": "support@jiguang.cn",
        "id": 318763,
        "name": "support",
        "phone_number": null,
        "blocked": false,
        "identifier": "2222",
        "thumbnail": "",
        "custom_attributes": {},
        "last_activity_at": 1765441908,
        "created_at": 1765441895,
        "contact_inboxes": [
            {
                "source_id": "src_001",
                "inbox": {
                    "id": 10,
                    "name": "Customer Service Channel",
                    "channel_type": "Channel::Api"
                }
            }
        ]
    }
}

            
This code block in the floating window

Response Parameters

Field Type Required Description
payload Object No Attribute structure.
additional_attributes Object No Additional attributes.
availability_status String No Availability status. The default is offline.
email String No Email address.
id String No Contact ID.
name String No Name.
phone_number String No Phone number.
blocked Boolean No Whether the contact is blocked. The default is false.
identifier String No The contact's unique external identifier, corresponding to the UserID displayed in the interface.
thumbnail String No Avatar URL.
custom_attributes Object No Contact attributes.
created_at String No Creation timestamp.
last_activity_at String No Latest update timestamp.
contact_inboxes Array No Associated channel information, returned only when include_contact_inboxes=true.
source_id String No Channel ID.
inbox Object No Channel information.
id String No Channel ID.
name String No Channel name.
channel_type String No Channel type.
Icon Solid Transparent White Qiyu
Contact Sales